package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.bopdecbo.Dbh;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface DbhMapper {
    int insert(Dbh record);

    int insertSelective(Dbh record);

    int updateByPrimaryKeySelective(Dbh record);

    int updateByPrimaryKey(Dbh record);

    int deleteByPrimaryKey(Dbh record);

    int deleteByIds(Collection<Object> collection);

    Dbh selectByPrimaryKey(Dbh record);

    int dyncDelete(Map<String,Object> dyncMap);

    List<Dbh> dyncRead(Map<String,Object> dyncMap);

    Dbh selectByRptnoAndTmpref(@Param("rptno")String rptno, @Param("tmpref")String tmpref);
    Dbh selectByTmpref(@Param("tmpref")String tmpref);
}
